# all

inline fun ComponentMetadataHandler.all(rule: KClass<out ComponentMetadataRule>): ComponentMetadataHandler
inline fun ComponentMetadataHandler.all(rule: KClass<out ComponentMetadataRule>): ComponentMetadataHandler
inline fun ComponentMetadataHandler.all(rule: KClass<out ComponentMetadataRule>, configureAction: Action<in ActionConfiguration>): ComponentMetadataHandler
inline fun ComponentMetadataHandler.all(rule: KClass<out ComponentMetadataRule>, configureAction: Action<in ActionConfiguration>): ComponentMetadataHandler

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.artifacts.dsl.ComponentMetadataHandler.all.

#### Since

4.9

#### See also

ComponentMetadataHandler.all

inline fun <T : ComponentMetadataRule> ComponentMetadataHandler.all(): ComponentMetadataHandler

Adds a class based rule that may modify the metadata of any resolved software component.

#### Return

this

#### Parameters

T

the rule to be added

#### See also

ComponentMetadataHandler.all

inline fun <T : ComponentMetadataRule> ComponentMetadataHandler.all(configureAction: Action<in ActionConfiguration>): ComponentMetadataHandler

Adds a class based rule that may modify the metadata of any resolved software component. The rule itself is configured by the provided configure action.

#### Return

this

#### Parameters

T

the rule to be added

configureAction

the rule configuration

#### See also

ComponentMetadataHandler.all